LibreOffice: UnoControlFileControl Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Included Services | List of all members
UnoControlFileControl Service Referencepublished

specifies a file control. More...

`import"UnoControlFileControl.idl";`

Inheritance diagram for UnoControlFileControl:

## Included Services
service | com::sun::star::awt::UnoControlEdit
Included Services inherited from UnoControlEdit
service | com::sun::star::awt::UnoControl

## Additional Inherited Members
Exported Interfaces inherited from UnoControlEdit
interface | com::sun::star::awt::XTextComponent
interface | com::sun::star::awt::XLayoutConstrains
interface | com::sun::star::awt::XTextLayoutConstrains
Exported Interfaces inherited from UnoControl
interface | com::sun::star::lang::XComponent
interface | com::sun::star::awt::XControl
interface | com::sun::star::awt::XWindow
interface | com::sun::star::awt::XView
interface | com::sun::star::accessibility::XAccessible
| provides access to the accessible context associated with this object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XControl
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control. More...
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control. More...
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen. More...
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set. More...
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control. More...
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control. More...
com::sun::star::awt::XView | getView ()
| returns the view of this control. More...
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor. More...
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise. More...
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise. More...
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window. More...
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window. More...
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter. More...
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter. More...
void | setFocus ()
| sets the focus to the window. More...
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object. More...
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list. More...
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object. More...
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list. More...
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object. More...
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list. More...
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object. More...
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list. More...
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object. More...
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list. More...
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object. More...
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list. More...
Public Member Functions inherited from XView
boolean | setGraphics ([in] com::sun::star::awt::XGraphics aDevice)
| sets the output device. More...
com::sun::star::awt::XGraphics | getGraphics ()
| returns the output device which was set using the method XView::setGraphics(). More...
com::sun::star::awt::Size | getSize ()
| returns the size of the object in device units. More...
void | draw ([in] long nX, [in] long nY)
| draws the object at the specified position. More...
void | setZoom ([in] float fZoomX, [in] float fZoomY)
| sets the zoom factor. More...
Public Member Functions inherited from XTextComponent
void | addTextListener ([in] com::sun::star::awt::XTextListener l)
| registers a text event listener. More...
void | removeTextListener ([in] com::sun::star::awt::XTextListener l)
| unregisters a text event listener. More...
void | setText ([in] string aText)
| sets the text of the component. More...
void | insertText ([in] com::sun::star::awt::Selection Sel, [in] string Text)
| inserts text at the specified position. More...
string | getText ()
| returns the text of the component. More...
string | getSelectedText ()
| returns the currently selected text. More...
void | setSelection ([in] com::sun::star::awt::Selection aSelection)
| sets the user selection. More...
com::sun::star::awt::Selection | getSelection ()
| returns the current user selection. More...
boolean | isEditable ()
| returns if the text is editable by the user. More...
void | setEditable ([in] boolean bEditable)
| makes the text editable for the user or read-only. More...
void | setMaxTextLen ([in] short nLen)
| sets the maximum text length. More...
short | getMaxTextLen ()
| returns the currently set maximum text length. More...
Public Member Functions inherited from XLayoutConstrains
com::sun::star::awt::Size | getMinimumSize ()
| returns the minimum size for this component. More...
com::sun::star::awt::Size | getPreferredSize ()
| returns the preferred size for this component. More...
com::sun::star::awt::Size | calcAdjustedSize ([in] com::sun::star::awt::Size aNewSize)
| calculates the adjusted size for a given maximum size. More...
Public Member Functions inherited from XTextLayoutConstrains
com::sun::star::awt::Size | getMinimumSize ([in] short nCols, [in] short nLines)
| returns the minimum size for a given number of columns and lines. More...
void | getColumnsAndLines ([out] short nCols, [out] short nLines)
| returns the ideal number of columns and lines for displaying this text. More...
Protected Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...

## Detailed Description

specifies a file control.

A file control extends the UnoControlEdit with a file dialog.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlEdit

service com::sun::star::awt::UnoControlEdit

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlFileControl.idl